
From: "Antonino A. Daplas" <adaplas@hotpop.com>,
      <Stuart_Hayes@Dell.com>

I'm getting a message in dmesg: "localhost kernel: vesafb: probe of vesafb0
failed with error -6"

I searched the web, and found that a lot of people are getting this, but I
couldn't find an answer, so I looked into it.

This appears to be because "vesafb" returns -ENXIO ("No such device or
address") when its probe function fails.  However, driverse/base/bus.c spews
an error message during device_attach() if a matching driver's probe function
returns anything but -ENODEV ("No such device").

Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/vesafb.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/video/vesafb.c~vesafb-change-return-error-id drivers/video/vesafb.c
--- 25/drivers/video/vesafb.c~vesafb-change-return-error-id	Tue Jan 18 15:04:19 2005
+++ 25-akpm/drivers/video/vesafb.c	Tue Jan 18 15:04:19 2005
@@ -229,7 +229,7 @@ static int __init vesafb_probe(struct de
 	unsigned int size_total;
 
 	if (screen_info.orig_video_isVGA != VIDEO_TYPE_VLFB)
-		return -ENXIO;
+		return -ENODEV;
 
 	vesafb_fix.smem_start = screen_info.lfb_base;
 	vesafb_defined.bits_per_pixel = screen_info.lfb_depth;
@@ -407,7 +407,7 @@ static int __init vesafb_probe(struct de
 		(ypan) ? FBINFO_HWACCEL_YPAN : 0;
 
 	if (fb_alloc_cmap(&info->cmap, 256, 0) < 0) {
-		err = -ENXIO;
+		err = -ENOMEM;
 		goto err;
 	}
 	if (register_framebuffer(info)<0) {
_
